Skip to content

GeneralLedgerService⁠

Manage GL account records.

Operations⁠

getGlHistoryPagedListSelectFields⁠

POST

Retrieves a paged list of general ledger history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/getGlHistoryPagedListSelectFields
POST /nexum/627/2022.01/generalledger/getGlHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlHistoryFields": true,
    "GlHistoryFields": {
      "Amount": true,
      "Comment": true,
      "DebitCreditCode": true,
      "EffectiveDate": true,
      "GlAccountNumber": true,
      "GlCategory": true,
      "PostDate": true,
      "ProcessorUser": true,
      "Reference": true,
      "SequenceNumber": true,
      "UserNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchGlHistoryPagedSelectFields⁠

POST

Searches general ledger history with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/searchGlHistoryPagedSelectFields
POST /nexum/627/2022.01/generalledger/searchGlHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlHistoryFields": true,
    "GlHistoryFields": {
      "Amount": true,
      "Comment": true,
      "DebitCreditCode": true,
      "EffectiveDate": true,
      "GlAccountNumber": true,
      "GlCategory": true,
      "PostDate": true,
      "ProcessorUser": true,
      "Reference": true,
      "SequenceNumber": true,
      "UserNumber": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getGlSubaccount⁠

POST

Retrieves a subaccount for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
GlSubaccountIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/getGlSubaccount
POST /nexum/627/2022.01/generalledger/getGlSubaccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "GlSubaccountId": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getGlSubaccountSelectFields⁠

POST

Retrieves a subaccount for a general ledger account with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
GlSubaccountIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/getGlSubaccountSelectFields
POST /nexum/627/2022.01/generalledger/getGlSubaccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "GlSubaccountId": "string",
  "SelectableFields": {
    "IncludeAllGlSubaccountFields": true,
    "GlSubaccountFields": {
      "AccrualAmount": true,
      "AccrualEffectDate": true,
      "AccrualPostDate": true,
      "AccrualPostThruDate": true,
      "AccrualStartDate": true,
      "AccruedAmount": true,
      "AccruedCount": true,
      "AcquisitionDate": true,
      "CommentOne": true,
      "CommentTwo": true,
      "CurrentValue": true,
      "Disposition": true,
      "FirstMonthMethod": true,
      "GlOffset": true,
      "Id": true,
      "InsMaturityDate": true,
      "InsTypeDescription": true,
      "InsuranceType": true,
      "LastFmDate": true,
      "LimitValue": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlSubaccountPagedList⁠

POST

Retrieves a paged list of subaccounts for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/generalledger/getGlSubaccountPagedList
POST /nexum/627/2022.01/generalledger/getGlSubaccountPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlSubaccountListSelectFields⁠

POST

Retrieves a list of subaccounts for a general ledger account with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/generalledger/getGlSubaccountListSelectFields
POST /nexum/627/2022.01/generalledger/getGlSubaccountListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "SelectableFields": {
    "IncludeAllGlSubaccountFields": true,
    "GlSubaccountFields": {
      "AccrualAmount": true,
      "AccrualEffectDate": true,
      "AccrualPostDate": true,
      "AccrualPostThruDate": true,
      "AccrualStartDate": true,
      "AccruedAmount": true,
      "AccruedCount": true,
      "AcquisitionDate": true,
      "CommentOne": true,
      "CommentTwo": true,
      "CurrentValue": true,
      "Disposition": true,
      "FirstMonthMethod": true,
      "GlOffset": true,
      "Id": true,
      "InsMaturityDate": true,
      "InsTypeDescription": true,
      "InsuranceType": true,
      "LastFmDate": true,
      "LimitValue": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}